# $Revision: 1.15 $, $Date: 2011/11/11 13:32:17 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for decoding and generation of MPEG TS and DVB PSI tables
Summary(pl.UTF-8):	Biblioteka do dekodowania i generowania tablic MPEG TS i DVB PSI
Name:		libdvbpsi
Version:	0.2.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://download.videolan.org/pub/libdvbpsi/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9bdd8044e7fa684f2363ab1020c4c8a9
URL:		http://www.videolan.org/developers/libdvbpsi.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdvbpsi is a very simple and fully portable library designed for
MPEG TS and DVB PSI table decoding and generation.

%description -l pl.UTF-8
libdvdpsi to bardzo prosta i przenośna biblioteka zaprojektowana do
dekodowania i generowania tablic MPEG TS i DVB PSI.

%package devel
Summary:	Header files for libdvbpsi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdvbpsi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdvbpsi library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdvbpsi.

%package static
Summary:	Static libdvbpsi library
Summary(pl.UTF-8):	Statyczna biblioteka libdvbpsi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdvbpsi library.

%description static -l pl.UTF-8
Statyczna biblioteka libdvbpsi.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libdvbpsi.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libdvbpsi.so.*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog NEWS TODO
%attr(755,root,root) %{_libdir}/libdvbpsi.so
%{_includedir}/dvbpsi
%{_pkgconfigdir}/libdvbpsi.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdvbpsi.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdvbpsi.spec,v $
Revision 1.15  2011/11/11 13:32:17  gotar
- upgraded to 0.2.2, removed la file

Revision 1.14  2010/12/06 01:02:24  sls
- ver. 0.1.7
- new soname
- package pkgconfig file

Revision 1.13  2009/07/07 21:01:01  duddits
- up to 0.1.6
- update URL
- %files: new *.so.5

Revision 1.12  2008/07/27 22:19:57  arekm
- release 3

Revision 1.11  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.9  2006/03/21 22:04:20  qboosh
- autoheader, added NEWS to doc

Revision 1.8  2006/03/21 16:29:21  djurban
- updated to 0.1.5

Revision 1.7  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.6  2005/06/15 19:37:30  witekfl
- added BR: libtool
- regenerated configure
- added bcond_without static_libs

Revision 1.5  2005/04/13 20:22:39  qboosh
- BR: ac,am

Revision 1.4  2005/04/11 22:25:22  averne
- fixed to build on amd64

Revision 1.3  2005/03/05 15:48:15  qboosh
- updated to 0.1.4 (new soname)

Revision 1.2  2003/11/19 19:55:46  qboosh
- cleanups, separated -devel and -static

Revision 1.1  2003/11/18 09:32:35  luzik
 - initial release
